[arch-commits] Commit in snort/repos (3 files)

Hugo Doria hugo at archlinux.org
Wed Jul 16 13:18:10 EDT 2008


    Date: Wednesday, July 16, 2008 @ 13:18:10
  Author: hugo
Revision: 5480

Merged revisions 4730-5479 via svnmerge from 
svn+ssh://hugo@archlinux.org/home/svn-packages/snort/trunk

........
  r4772 | eric | 2008-07-09 18:25:32 -0300 (Wed, 09 Jul 2008) | 2 lines
  
  upgpkg: snort 2.8.2.1-4
      Removed references out of $startdir/src
........

Modified:
  snort/repos/extra-i686/	(properties)
  snort/repos/extra-i686/PKGBUILD
  snort/repos/extra-i686/snort.install

---------------+
 PKGBUILD      |   14 ++++++--------
 snort.install |    5 -----
 2 files changed, 6 insertions(+), 13 deletions(-)


Property changes on: snort/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /snort/trunk:1-4729
   + /snort/trunk:1-5479

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-16 16:16:39 UTC (rev 5479)
+++ extra-i686/PKGBUILD	2008-07-16 17:18:10 UTC (rev 5480)
@@ -19,18 +19,16 @@
 	'snort.conf.d' 
 	'http://www.snort.org/pub-bin/downloads.cgi/Download/comm_rules/Community-Rules-CURRENT.tar.gz' 
 	'snort.conf.patch')
+md5sums=('b39e784dd8a5cf180aae20e94a7b52dd' '361b8b9e40b9af0164f6b3e3da2e8277'\
+         'b4fb8a68490589cd34df93de7609bfac' 'f236b8a4ac12e99d3e7bd81bf3b5a482'\
+         'd6ee07e7e23a0b7f5a0dd7d605828946')
 url="http://www.snort.org"
 options=('!makeflags' '!libtool')
-md5sums=('b39e784dd8a5cf180aae20e94a7b52dd'
-         '361b8b9e40b9af0164f6b3e3da2e8277'
-         'b4fb8a68490589cd34df93de7609bfac'
-         'f236b8a4ac12e99d3e7bd81bf3b5a482'
-         'd6ee07e7e23a0b7f5a0dd7d605828946')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
 
-  patch -Np0 < ${startdir}/snort.conf.patch || return 1
+  patch -Np0 < ${startdir}/src/snort.conf.patch || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc/snort --with-libpcap-includes=/usr/include/pcap \
   --without-mysql --without-postgresql --without-oracle --without-odbc
@@ -41,9 +39,9 @@
 
   install -d -m744 -o snort -g snort $startdir/pkg/var/log/snort
   install -D -m644 etc/{*.conf*,*.map} $startdir/pkg/etc/snort
-  install -D -m644 ../../snort.conf.d $startdir/pkg/etc/conf.d/snort
+  install -D -m644 ../snort.conf.d $startdir/pkg/etc/conf.d/snort
   install -D -m644 $startdir/src/rules/*.rules $startdir/pkg/etc/snort/rules
-  install -D -m755 $startdir/snort $startdir/pkg/etc/rc.d/snort
+  install -D -m755 $startdir/src/snort $startdir/pkg/etc/rc.d/snort
 
   sed 's|RULE_PATH ../rules|RULE_PATH /etc/snort/rules|' -i $startdir/pkg/etc/snort/snort.conf
 }

Modified: extra-i686/snort.install
===================================================================
--- extra-i686/snort.install	2008-07-16 16:16:39 UTC (rev 5479)
+++ extra-i686/snort.install	2008-07-16 17:18:10 UTC (rev 5480)
@@ -20,9 +20,4 @@
   /bin/true
 }
 
-op=$1
-shift
-
-$op $*
-
 # vim:set ts=2 sw=2 et:





More information about the arch-commits mailing list